
Foreman - Feature #397

add basic authentication support

10/04/2010 08:32 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: API   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

for restful api, an authentication scheme which is not based on cookies is required.

that should allow us to authenticate and use the api in one http request

Associated revisions

Revision f9083d2b - 10/04/2010 11:37 AM - Ohad Levy

fixes #397 - add basic authentication support for JSON requests

History

#1 - 10/04/2010 09:04 AM - Ohad Levy

- Tracker changed from Bug to Feature

#2 - 10/04/2010 04:52 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset f9083d2bed66345fa406f9d6e05890c9cd8de71d.

#3 - 10/05/2010 08:49 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
